<?php

use App\Http\Controllers\Vouchers\ValidateVoucherController;
use App\Http\Controllers\Vouchers\CreateVoucherController;
use App\Http\Controllers\Vouchers\ListUserVouchersController;
use App\Http\Controllers\Vouchers\ListVoucherCampaignsController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'voucher', 'as' => 'voucher.'], function () {
    Route::post('fetch', [ValidateVoucherController::class, 'validate'])->name('validate');
    Route::post('create', [CreateVoucherController::class, 'create'])->name('create');
    // Route::post('redeem', [RedeemVoucherController::class, 'redeem'])->name('redeem');
    Route::get('/user/list', [ListUserVouchersController::class, 'list'])->name('user.list');
    Route::get('/voucher/campaigns/list', [ListVoucherCampaignsController::class, 'list'])->name('campaigns.list');
});
